MeiroDocs

OAuth Repositories

+ Parameters

Section: Group OAuth Repositories. Base URL: https://api.instance_name.meiro.io/.

OAuth Repositories [/oauth_repositories{?limit,offset,order_by,order_dir,load_full_structure}]

  • Parameters
    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag

List All OAuth Repositories [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "oauth_repositories": [
        {
            "id": 100,
            "user_id": 200,
            "name": "oauth name",
            "description": "oauth description",
            "settings": {},
            "credentials": {},
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

OAuth Repository [/oauth_repositories/{oauth_repository_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve an OAuth Repository [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "oauth_repository": {
        "id": 100,
        "user_id": 200,
        "name": "oauth name",
        "description": "oauth description",
        "settings": {},
        "credentials": {},
        "created": "2017-01-01 15:35:00"
    }
}

Modify an OAuth Repository [PATCH]

  • Attributes

    • name: oauth name (string) - optionals
    • description: oauth description (string) - optional
    • credentials: {} (string) - optional
  • Response 200 (application/json)

{
    "oauth_repository": {
        "id": 100,
        "user_id": 200,
        "name": "oauth name",
        "description": "oauth description",
        "settings": "{}",
        "credentials": "{}",
        "created": "2017-01-01 15:35:00"
    }
}

OAUTH repository's history list [/oauth_repositories/{oauth_repository_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]

Retrieve an OAUTH repository's History List [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history_list": [
        {
            "id": null,
            "oauth_repository": {
                "id": 200,
                "user_id": 300,
                "name": "oauth name",
                "description": "oauth description",
                "settings": {},
                "credentials": {},
                "created": "2017-01-01 15:35:00"
            },
            "previous_history": {
                "id": 100,
                "oauth_repository": {
                    "id": 200,
                    "user_id": 300,
                    "name": "test",
                    "description": "oauth description",
                    "settings": {},
                    "credentials": {},
                    "created": "2017-01-01 11:35:00"
                }
            }
        },
        {
            "id": 100,
            "oauth_repository": {
                "id": 200,
                "user_id": 300,
                "name": "test",
                "description": "oauth description",
                "settings": {},
                "credentials": {},
                "created": "2017-01-01 11:35:00"
            }
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

OAUTH repository's history item [/oauth_repositories/{oauth_repository_id}/history/{history_id}{?load_full_structure}]

Retrieve an OAUTH repository's History Item [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history": {
        "id": 100,
        "oauth_repository": {
            "id": 200,
            "user_id": 300,
            "name": "oauth example",
            "description": "oauth description",
            "settings": {},
            "credentials": {},
            "created": "2017-01-01 15:35:00"
        },
        "previous_history": {
            "id": 200,
            "oauth_repository": {
                "id": 200,
                "user_id": 300,
                "name": "test",
                "description": "oauth description",
                "settings": {},
                "credentials": {},
                "created": "2017-01-01 11:35:00"
            }
        }
    }
}

On this page